﻿@model  Select2TiposContatosViewModel

@if (!Model.tipoPesquisa)
{
    if (Model.viewCode)
    {
        <div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")" style="@Model.margintopSel">
            <input id="@Model.idControleInput" type="text" class="form-control numeric select2dpt" maximo="8"/>
        </div>
    }
    <div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-5")" style="@Model.margintopSel">
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}
else
{
    <div class="campos-group" style="@Model.margintopSel">
        @if (Model.viewCode)
        {
            <input id="@Model.idControleInput" type="text" class="ctrl-filtro numerico" maximo="5" placeholder="Pesquisar Código..."/>
            <i class="material-icons">more_vert</i>
        }
        <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
    </div>
}

    <script type="text/javascript">
	$(function () {
		with (new ComponenteSelect2()) {
			with (modelo) {
				ajaxPostApiURL = '@Url.Content("~/api/Select2TiposContatos/ObterDescricoesTiposContatosTodos")';
				idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
				idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "DESTIPCTO";
                textoInicial = "Selecione um Dept/Cargo";
                jsonTexto = "DESTIPCTO";
                jsonValor = "CODTIPCTO";
                caracteresMinimos = 0;
                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
			}
			inicializar(null);
		}
    });

    </script>
